# Google App Engine Admin API . apps . locations

## Instance Methods

Get information about a location.

Lists information about the supported locations for this service.

Retrieves the next page of results.

### Method Details

`get(appsId, locationsId, x__xgafv=None)`

    Get information about a location.

    Args:
      appsId: string, Part of `name`. Resource name for the location. (required)
      locationsId: string, Part of `name`. See documentation of `appsId`. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A resource that represents Google Cloud Platform location.
        "labels": { # Cross-service attributes for the location. For example {"cloud.googleapis.com/region": "us-east1"}
          "a_key": "A String",
        },
        "locationId": "A String", # The canonical id for this location. For example: "us-east1".
        "name": "A String", # Resource name for the location, which may vary between implementations. For example: "projects/example-project/locations/us-east1"
        "metadata": { # Service-specific metadata. For example the available capacity at the given location.
          "a_key": "", # Properties of the object. Contains field @type with type URL.
        },
      }

`list(appsId, pageSize=None, filter=None, pageToken=None, x__xgafv=None)`

    Lists information about the supported locations for this service.

    Args:
      appsId: string, Part of `name`. The resource that owns the locations collection, if applicable. (required)
      pageSize: integer, The standard list page size.
      filter: string, The standard list filter.
      pageToken: string, The standard list page token.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # The response message for LocationService.ListLocations.
        "nextPageToken": "A String", # The standard List next-page token.
        "locations": [ # A list of locations that matches the specified filter in the request.
          { # A resource that represents Google Cloud Platform location.
            "labels": { # Cross-service attributes for the location. For example {"cloud.googleapis.com/region": "us-east1"}
              "a_key": "A String",
            },
            "locationId": "A String", # The canonical id for this location. For example: "us-east1".
            "name": "A String", # Resource name for the location, which may vary between implementations. For example: "projects/example-project/locations/us-east1"
            "metadata": { # Service-specific metadata. For example the available capacity at the given location.
              "a_key": "", # Properties of the object. Contains field @type with type URL.
            },
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.